<div class="event-page">
    <div class="d-flex justify-content-between align-items-center create">
        <div class="d-flex align-items-center">
            <span class="material-symbols-outlined icon-event">
                info
            </span>
            <strong><small> เหตุการณ์</small></strong>
        </div>
        <div>
            <button class="btn-create" mat-raised-button color="primary" (click)="onCreate()">
                <span class="material-symbols-outlined"> add </span>
                <small>สร้างเหตุการณ์</small>
            </button>
        </div>
    </div>

    <div class="d-flex">
        <div class="search">
            <mat-form-field appearance="outline">
                <input matInput placeholder="ค้านหาชื่อเหตุการณ์" style="height: 20px;" [(ngModel)]="searchText"
                    (input)="onSearch()">
                <mat-icon matSuffix>search</mat-icon>
            </mat-form-field>
        </div>

        <div class="select">
            <mat-form-field appearance="outline" style="width: 130px;">
                <mat-select [(ngModel)]="year" (selectionChange)="onFilter()">
                    <mat-option [value]="item.value" *ngFor="let item of yearList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.text}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div class="d-flex">

        <div class="select-status">
            <mat-form-field appearance="outline" style="width: 190px;">
                <mat-select [(ngModel)]="status" (selectionChange)="onFilter()">
                    <mat-option [value]="item.value" *ngFor="let item of statusList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.text}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>

        <div class="select-status">
            <mat-form-field appearance="outline" style="width: 190px;">
                <mat-select [(ngModel)]="incidentType" (selectionChange)="onFilter()">
                    <mat-option [value]="item.value" *ngFor="let item of incidentTypeList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.text}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>

    <div class="d-flex justify-content-center" *ngIf="incidentListDisplay.length == 0">
        <div class="text-center">
            <br> <br> <br> <br>
            <span class="material-symbols-outlined" style="font-size: 50px; color: gray;">
                assignment
            </span>
            <div>
                ไม่มีรายการ
            </div>
        </div>
    </div>

    <div class="list" *ngIf="incidentListDisplay.length > 0">
        <div class="list-item d-flex align-items-center" *ngFor="let item of incidentListDisplay"
            (mouseover)="hoverIncident(item)">
            <div class="icon pointer" (click)="onEdit(item)">
                <img src="../../../assets/image/location.svg">
            </div>
            <div class="detail pointer" (click)="onEdit(item)">
                <small class="key">ชื่อเหตุการณ์ </small> <strong><small>{{item.name}} </small></strong><br>
                <small class="key">สถานที่ </small> <strong><small>{{item.location}}</small></strong><br>
                <small class="key">วันเวลาที่เกิดเหตุ </small><strong><small>{{item.incidentDateTime | dateEvent}}
                        {{item.incidentDateTime | timeEvent}}
                        น</small></strong><br>
                <small class="key">สถานะ </small><strong>
                    <span class="icon-status material-symbols-outlined" [ngClass]="{'icon-close': item.statusClosed,}">
                        radio_button_checked
                    </span>
                    <small>{{!item.statusClosed ? 'กำลังดำเนินการ':"ดำเนินการเสร็จสิ้น"}}</small>
                </strong><br>
            </div>
            <div class="action">
                <span class="material-symbols-outlined pointer" (click)="onEdit(item)">
                    edit
                </span><br>
                <span class="material-symbols-outlined pointer">
                    share
                </span><br>
                <span class="material-symbols-outlined pointer btn-delete" (click)="onOpenDeleteModal(item)">
                    delete
                </span>
            </div>
        </div>
    </div>


</div>

<ng-template #deleteDialog let-modal>
    <div class="modal-header">
        <strong class="modal-title" id="modal-basic-title">ลบสถานการณ์</strong>
    </div>
    <div class="modal-body modal-delete">
        <small for="dateOfBirth">หากต้องการยืนยันการลบ ให้พิมพ์ delete ในช่อง</small>
        <mat-form-field appearance="outline" style="width: 100%; height: 15px;">
            <input matInput placeholder="delete" [(ngModel)]="delete">
        </mat-form-field><br>
        <br>
    </div>
    <div class="modal-footer">
        <button mat-raised-button (click)="cancelDelete()">ยกเลิก</button>
        <button mat-raised-button color="primary" (click)="onDelete()" [disabled]="delete != 'delete'">ตกลง</button>
    </div>
</ng-template>

<ng-template #viewDialog let-modal>
    <div class="modal-header">
        <strong class="modal-title" id="modal-basic-title">ไฟล์</strong>
    </div>
    <div class="modal-body modal-delete">

        <iframe src="http://localhost:4200/api/v2/video/watch?v=JiX26r5oCks" width="100%" height="100%"></iframe>

        <br>
    </div>
</ng-template>